import { SearchAssetsItemFieldValue, SearchAssetsMediaField, SearchQueryNode } from './asset.types';

export declare function isSearchAssetsMediaField(value: SearchAssetsItemFieldValue): value is SearchAssetsMediaField;
export type AssetExtraFilters = {
    FacetFilters?: Record<string, string[]>;
    SubtypeCriteria?: string[];
};
export declare function resolveAssetExtraFilters(selectedFacets?: Record<string, string[]>): AssetExtraFilters;
export declare function buildSearchQuery(node: SearchQueryNode): string;
